import { Base, SurveyModel, Question, QuestionRowModel } from "survey-core";
import { BaseVue } from "./base";
export declare class SurveyElementVue extends BaseVue {
    css: any;
    survey: SurveyModel;
    element: any;
    row: QuestionRowModel;
    protected getModel(): Base;
    getComponentName(element: Question): string;
    getContentClass(element: Question): string;
    get hasErrorsOnTop(): boolean;
    get hasErrorsOnBottom(): boolean;
    previousElement: HTMLElement;
    afterRender(el: HTMLElement): void;
    onUpdated(): void;
    mounted(): void;
    destroyed(): void;
}
export default SurveyElementVue;
