import { Base, PopupSurveyModel, SurveyModel } from "survey-core";
import { BaseVue } from "./base";
export declare class PopupSurvey extends BaseVue {
    window: PopupSurveyModel;
    survey: SurveyModel;
    isExpanded: boolean;
    isexpanded: boolean;
    allowClose: boolean;
    allowclose: boolean;
    allowFullScreen: boolean;
    allowfullscreen: boolean;
    closeOnCompleteTimeout: number;
    surveyWindow: PopupSurveyModel;
    constructor();
    protected getModel(): Base;
    get cssHeaderRoot(): string;
    get windowSurvey(): SurveyModel;
    get css(): any;
    get expandedCss(): any;
    get isExpandedSurvey(): boolean;
    set isExpandedSurvey(val: boolean);
    doExpand(): void;
    doHide(): void;
    doToggleFullScreen(): void;
    getSurveyComponentName(): string;
    doScroll(): void;
}
/**
 * Obsolete, please use PopupSurvey
 */
export declare class SurveyWindow extends PopupSurvey {
}
export default PopupSurvey;
