import Vue from "vue";
import { SurveyModel, ProgressButtons, IProgressButtonsViewModel } from "survey-core";
export declare class ProgressButtonsComponent extends Vue implements IProgressButtonsViewModel {
    private respManager;
    survey: SurveyModel;
    model: ProgressButtons;
    container: string;
    hasScroller: boolean;
    canShowHeader: boolean;
    canShowFooter: boolean;
    canShowItemTitles: boolean;
    constructor();
    onResize(canShowItemTitles: boolean): void;
    onUpdateScroller(hasScroller: boolean): void;
    onUpdateSettings(): void;
    get css(): any;
    mounted(): void;
    clickScrollButton(isLeftScroll: boolean): void;
    beforeDestroy(): void;
}
export default ProgressButtonsComponent;
